[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bulding 3.0.1 Under Ubuntu 10.04 i386

Dmitrijs Ledkovs <xnox@debian.org> writes:
> I have only one dive of a whole 8m deep, but I am ubuntu & debian
> developer and can upload this package to debian/ubuntu and a ppa.
> Is there any packaging done so far? Point me to it, if not just file
> Debian RFP and CC me on it.

There are old packages for Subsurface 1.2(?) and libdivecomputer 0.1 in
both Debian and Ubuntu. Khalid (copied) is the maintainer but apparently
has not responded to any emails and/or bugs about this in at least 4

Roland Dreier had started working on creating new ones but
understandably has other things that keep him from finishing it (he's
not a diver, nor a Subsurface contributor... he basically got sucked
into this as a favor to Linus and me a while ago).

The sources are at


You also need libdivecomputer:


Libdivecomputer appears to be the harder package to get right because of
the version number and API incompatibility issue: Basically the
libdivecomputer-0.1 package that is in Debian right now is not binary
compatible with libdivecomputer-0.3

Our preference here is static linking (as there really is no other user
of libdivecomputer in Debian or Ubuntu at this point). But I'll happily
leave it to you to figure out the best solution :-)

I hope that's all the info you need to get started.

And thanks for volunteering!


Reply to: